three_point_time = [];
five_point_time = [];

%three point stencil
coeff = [1,-2];coeffb = [1,-2,1];
Nrange=1000:500:3000;
for N=Nrange,
    tic;
    [v,e]=schrodcenter(N,@infwell,0,1,coeff,coeffb);
    three_point_time = [three_point_time toc];
end

%five point stencil
coeff = [-1/12,4/3,-5/2]; coeffb=[-11/12,-5/3,1/2,1/3,-1/12];
for N=Nrange,
    tic;
    [v,e]=schrodcenter(N,@infwell,0,1,coeff,coeffb);
    five_point_time = [five_point_time toc];
end

x=log(Nrange);
y1 = log(three_point_time);
y2 = log(five_point_time);
plot(x,y1,'r*',x,y2,'gs');
% for N=Nrange
% %three point stencil
% coeff = [1,-2]; 
% coeffb = [1,-2,1];
% tic;
% [v,e]=schrodcenter(N,@infwell,0,1,coeff,coeffb);
% three_point_time = [three_point_time toc];
% 
% 
% %five point stencil
% tic;
% coeff = [-1/12,4/3,-5/2];
% coeffb=[-11/12,-5/3,1/2,1/3,-1/12];
% [v,e]=schrodcenter(N,@infwell,0,1,coeff,coeffb);
% five_point_time = [five_point_time toc];
% end
% 
% %plot times
% figure;
% plot(Nrange, three_point_time,'r*',Nrange,five_point_time,'g*');
% xlabel('N');
% ylabel('time (s)');
% legend('3 point stencil','5 point stencil');
% title('Scaling of CPU Time with N');
% 
% figure;
% loglog(Nrange, three_point_time,'r*',Nrange,five_point_time,'g*');
% xlabel('N');
% ylabel('time (s)');
% legend('3 point stencil','5 point stencil');
% title('Log Log plot of Scaling of CPU Time with N');

% x = log(Nrange);
% y1 = log(three_point_time);
% y2 = log(five_point_time);
% figure;plot(x, y1,'r*',x,y2,'g*');
% xlabel('log(N)');
% ylabel('log(time)');
% legend('3 point stencil','5 point stencil');